SqlExceptionHelper.StandardWarningHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.spi
Class SqlExceptionHelper.StandardWarningHandler

    java.lang.Object
      org.hibernate.engine.jdbc.spi.SqlExceptionHelper.WarningHandlerLoggingSupport
          org.hibernate.engine.jdbc.spi.SqlExceptionHelper.StandardWarningHandler

All Implemented Interfaces:
  SqlExceptionHelper.WarningHandler

Enclosing class:
  SqlExceptionHelper

    public static class SqlExceptionHelper.StandardWarningHandler

extends SqlExceptionHelper.WarningHandlerLoggingSupport

Constructor Summary
`SqlExceptionHelper.StandardWarningHandler(String introMessage)`

Method Summary
`boolean` | `doProcess()` Should processing be done? Allows short-circuiting if not.
`protected void` | `logWarning(String description, String message)` Delegate to log common details of a `warning`
`void` | `prepare(SQLWarning warning)` Prepare for processing of a `warning` stack.

Methods inherited from class org.hibernate.engine.jdbc.spi.SqlExceptionHelper.WarningHandlerLoggingSupport
`handleWarning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlExceptionHelper.StandardWarningHandler

    public SqlExceptionHelper.StandardWarningHandler(String introMessage)

Method Detail

### doProcess

    public boolean doProcess()

  Description copied from interface: `SqlExceptionHelper.WarningHandler`
  Should processing be done? Allows short-circuiting if not.

  Returns:
    True to process warnings, false otherwise.

### prepare

    public void prepare(SQLWarning warning)

  Description copied from interface: `SqlExceptionHelper.WarningHandler`
  Prepare for processing of a `warning` stack.

  Note that the warning here is also the first passed to `SqlExceptionHelper.WarningHandler.handleWarning(java.sql.SQLWarning)`

  Parameters:
    `warning` - The first warning in the stack.

### logWarning

    protected void logWarning(String description,
                              String message)

  Description copied from class: `SqlExceptionHelper.WarningHandlerLoggingSupport`
  Delegate to log common details of a `warning`

  Specified by:
    `logWarning` in class `SqlExceptionHelper.WarningHandlerLoggingSupport`
  Parameters:
    `description` - A description of the warning
    `message` - The warning message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.